activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Blatwurst <st...@equilibrium.com>
Subject Newbie help installing ActiveMQ on Karaf 1.2
Date Sat, 27 Feb 2010 18:25:20 GMT

I'm new to OSGi and am trying to figure out how to get ActiveMQ installed
under Karaf 1.2.  I'm not having any luck and could use some help.

First, I tried using this tutorial:

http://activemq.apache.org/osgi-integration.html

but the second step here leads to this error:

Unresolved constraint in bundle org.apache.servicemix.activemq.commands
[286]: package;
(&(package=org.apache.geronimo.gshell.clp)(version>=1.0.0.alpha-2-SNAPSHOT))

I played around with trying to fix this issue, but didn't get anywhere.

Then I tried to download the latest ActiveMQ and install its jar.  I keep
reading that many server side jars are now OSGi bundles, but this doesn't
seem to be the case for the ActiveMQ jar.  I expanded it and looked at the
MANIFEST, and there are no OSGi headers in there.

What's the right path here?  I would greatly appreciate some help.


-- 
View this message in context: http://old.nabble.com/Newbie-help-installing-ActiveMQ-on-Karaf-1.2-tp27729906p27729906.html
Sent from the ActiveMQ - User mailing list archive at Nabble.com.


Mime
View raw message